
KPG-11D HELP FILE. for Version 1.25 or more.
File Name: KPG11D.HLP 
Date: 3/3/1994
Y57-8090-00

	 QUICK HELP 
 This software is for the KENWOOD TK-230/330 series transceivers. The Main Menu
 lists the three main task categories that this software will perform. When
 selected, each category will display its own "task" Menu. Each task Menu will
 have its own Help screen (press F1) for detailed explanations.
 F3: UPLOAD/DOWNLOAD- radio data (Read/Write) or data files (Load/Save).
 F4: EDIT/CREATE/VIEW- edit, create, & view radio data or data files.
 F5: PRINT- prints all program data currently held in the program.
**Note: Check F9 before programming or saving data files***********************
 F9: SETUP COMPUTER CONFIGURATION- selects the level of the communication port
    used for the program interface cable to the radio and specifies the disk,
    the drive, and the path name for Saving and Loading data files.
   **Note: this should be checked prior to programming a radio or saving a data
     file for the first time (see MAIN MENU).

**Continued: More help-press F1, F2, & F9 now.*********************************
F1: GENERAL HELP  - shows the configuration of this programmer.
F2: COMPUTER KEYBOARD HELP - explains the various computer keyboard functions.
F9: COMPUTER HARDWARE/SOFTWARE REQUIREMENT HELP
*******************************************************************************
                 [F 5]: Prints a hard copy of this screen.
**End help/hit ESC to return to the MAIN MENU*********************************
	 GENERAL HELP
  KPG-11D CONFIGURATION
 +---------+
 |MAIN MENU|     KPG-11D ---- PROGRAMMER  FOR TK-230/330 SERIES
 +---------+
    | [F 1] ---- QUICK HELP --------------+ [F 1] GENERAL HELP
    | HELP                                + [F 2] KEYBOARD HELP
    |                                     + [F 5] PRINT QUICK HELP
    |                                     + [F 9] HARD/SOFTWARE REQUIREMENT
    |
    + [F 3]   -+ [F 1] HELP
    | UPLOAD   + [F 2] READ FROM RADIO
    | DOWNLOAD + [F 3] WRITE TO RADIO
    |          + [F 4] LOAD FROM DISK ----- [F 9] DIRECTLY
    |          + [F 5] SAVE TO DISK ------- [F 9] DIRECTLY
    |          + [F 6] DELETE FROM DISK --- [F 9] DIRECTLY
    |
    + [F 4]  --+ [F 1] HELP
    | EDIT     |
    | CREATE   + [F 2] MODEL TYPE SELECT -+ [F 1] HELP
    | VIEW     |       (CHANNEL VERSION)  + [F 2] SELECT
    |          |       (FREQUENCY BAND    + [F 7] FREQUENCY STEP CHANGE
    |          |
    |          + [F 4] CHANNEL     -------+ [F 1] HELP  
    |          |       INFORMATION        + [F 2] SELECT
    |          |                          + [F 5] PRINT 
    |          |
    |          + [F 5] SCAN INFORMATION --+ [F 1] HELP  
    |          |                          + [F 2] SELECT
    |          |                          + [F 5] PRINT 
    |          |
    |          + [F 6] RADIO FEATURE -----+ [F 1] HELP
    |                  OPTION             + [F 2] SELECT
    |                                     + [F 5] PRINT
    |                                     + [F 7] SETUP ANI
    |
    + [F 5] ---+ [F 1] HELP ON PRINTING
    | PRINT    + [F 3] PRINT TOTAL INFORMATION
    |          + [ESC] RETURN TO MAIN MENU
    |
    + [F 9] ---+ [F 1] HELP FOR SETUP
    | SETUP    + [F 3] SETUP COMM PORT
    |          + [F 4] SETUP DISPLAY COLOR
    |                                                                         
    + [ESC] ---+ [ N ] RETURN TO MAIN MENU                                    
      EXIT     + [ Y ] EXIT   TO DOS                                          
               + [ESC] RETURN TO MAIN MENU                                    

 To print all help messages, quit this program, go to DOS, and type the
 following:
 Type : CD\KPG11D             hit ENTER
 Type : TYPE KPG11D.HLP>PRN   hit ENTER

Note: Be sure the printer is ready.



	 COMPUTER KEYBOARD OPERATION HELP
Commonly used program screen keys**********************************************
 ARROW:  Moves the cursor within a data input field (cursor key).
 F2:     (Select)- Steps through the feature data selections, if applicable.
 SHIFT+F2:         Steps in the opposite direction.
 ENTER:  Places or "locks-in" the entered or selected program data in a field.
 ESC:    Returns to the previous task Menu for more programming, or to the
         Main Menu to exit the program (hit ESC repeatedly).
 F1:     Selects a Help screen, if applicable.
 F5:     (Print)- Prints the current screen.
 PG UP/PG DN: Scrolls the help screen up and down.
 Other keys:*******************************************************************
 F2-F10: Selects labeled functions in Menu or bottom of screen.
 F7:     (Next)- advances to next Help screen, if applicable.   =[PG DN]
 F8:     (Prev.)- returns to previous Help screen, if applicable.  =[PG UP]
 F9:     (Dir.)- displays data file directories in the LOAD & SAVE tasks of the
         UPLOAD/DOWNLOAD section.

              [F 5] PRINT: Prints a hard copy of this Help screen.

**End help/hit ESC to return to the Main Menu*********************************
	 HARDWARE/SOFTWARE REQUIREMENT 
     Computer:
      IBM PC/XT/AT/PS2 or 100% Compatible Computer.
   
      The Software can run on an IBM (or 100% Compatible) Computer having at
      least 256KBytes of RAM.
      Operating System:
      The required Operating System is DOS 3.1 or a later version.
      Communication Port:
      Serial port is required to program the codeplug data into the radio
      or to read the data from the radio. The serial port must be
      compatible with an IBM asynchronous communications adapter.
      Communication Interface:
      The KPG-10 programming interface cable is required to program or read 
      the radio data.

       [F 5] Print:   Prints a hard copy of this screen.

	 UPLOAD/DOWNLOAD HELP
F2: *READ CODEPLUG DATA- reads radios EEPROM data into the computer.
F3: *WRITE CODEPLUG DATA- writes program data into the radio. This data
     was either created, or uploaded from a radio or data file in the EDIT/
     CREATE/VIEW section. Check that the radio type, model, and/or band
     range matches that selected in this program, if applicable.
*Note: Be sure the radio is in the "program mode" (see service manual) and the
 programming interface cable is connected before attempting to Read or Write to
 the radio, or else a program error message will appear .
F4: LOAD DATA FILE-loads a data file from the disk & path specified in the 
    Setup Computer Configuration section of the Main Menu into the program for
    use. (Use F9-DIR. to view the saved filenames directory. Select a file
    with the cursor and enter keys.) 
F5: SAVE DATA FILE- saves a data file to the disk & path specified in Setup 
    Computer Configuration section.
F6: DELETE DATA FILE- removes a stored data file from the disk & path (Use F9-
    DIR. to view the saved filenames).
F9: DIRECTORY- Use to view the directory of the stored data filenames when on
    the Load, Save or Delete screens. Select a file with the cursor and enter
    keys.
**End help/hit ESC to return to the UPLOAD/DOWNLOAD MENU**********************
	 EDIT/CREATE/VIEW HELP
This menu lists the four program information categories that can be "edited"
and/or "viewed" once a saved data file or a transceiver's EEPROM data has been
uploaded (see UPLOAD/DOWNLOAD PROGRAM DATA section). Also, it can be used to 
"create" an entirely new set of program data from scratch (F2-MODEL TYPE 
SELECT should be done before "creating" a new set -- *1). 
Each category will have its own associated Help screen (hit F1) in the event
that some of the items are not self-explanatory.

NOTE *1: All Models are set to "No SCAN" (default). If you want to program a
SCAN model, it is recommended that you select scan information (F5) and set
scan to "YES" before you enter data in the Channel information screen (F4).


	 MODEL TYPE SELECT HELP
 This sets the program up for proper model "type" so that the proper SCAN
 INFORMATION, FEATURE OPTION & CHANNEL INFORMATION screens are displayed when
 called-up. This should be done before creating a set of program data. 
 [Model Type Choices]:
  TK-230/330 [all bands]
   Basic 10: No display-keyboard / 10 ch. (factory-set).
   Basic 20: No display-keyboard / 20 ch. (see s/m for 20 ch. conversion).
   Basic 100: No display-keyboard / 100 ch. (KCH-2 top panel).
  TK-230SC/330SC [all bands]
   16 KEY  10 AN: (KDM-4 front) Alphanumeric, Scan, DTMF encode / 10 ch.
   16 KEY  20 AN: (KDM-4 front) Alphanumeric, Scan, DTMF encode / 20 ch.
   16 KEY 100:    (KDM-4 front) Scan, DTMF encode / 100 ch. (KCH-2 top panel).
   16 KEY 100 AN: (KDM-4A front) installed: Alpha., Scan, DTMF encode / 100 ch.
                  (KCH-2 top panel).
  TK-230SP/330SP [all bands]
   4-KEY 10 AN:  Alphanumeric, Scan / 10 ch.
   4-KEY 20 AN:  Alphanumeric, Scan / 20 ch.
   4-KEY 100 AN: Alphanumeric, Scan, / 100 ch. (KCH-2 top installed).
 [Frequency Band]
   Select UHF or VHF.
	 FREQUENCY STEP HELP
 Do not change Frequency step, Heterodyne and IF Frequency in Normal Use
 to Avoid DAMAGE OF DATA.
  Frequency Step : UHF : 12.5kHz, 10.0 kHz
                   VHF :  5.0kHz,  6.25kHz
  Heterodyne     : UHF : Lower
                   VHF : Lower
  IF             : UHF : 32.1MHz
                   VHF : 21.4MHz


	 SCAN INFORMATION HELP
 [SCAN]:
   NO - disabled; hit ESC to return to the EDIT/CREATE/VIEW Menu.
   YES- enabled, then the following parameters should be checked.
 [PRIORITY SCAN]: When enabled, the radio will check the priority channel as
   it is scanning (every other channel), and while receiving on a non-priority
   channel (see Lookback A & B times below).
 [PRIORITY CHANNEL]: Type of priority channel selection.
      FIXED:    Selects a fixed priority channel (cannot be changed by the
                user). This is set in the next program block [FIXED PRIORITY].
      SELECTED: Priority channel is the last selected channel before scan is
                initiated (i.e., a "user-selectable" priority).
 [SCAN DELETE/ADD Feature]:
      FIXED:      Delete/add is according to the channel information screen
                  programming.
      PROGRAMMABLE: Delete/add for channel and group
                    ability via the front panel keys.
 [SCAN RESUME TIME]: Scan resume time interval from the end of a received call
   to the time scan automatically resumes (0.75-4.50 sec. @ 0.25 sec. steps).

 [LOOKBACK TIMES]: The priority channel checking intervals while receiving on
   a non-priority channel. The radio's CPU chooses either Lookback A or B 
   depending on the priority channel activity--program both.
    LOOKBACK A: Priority channel is not busy (no carrier present). This time
     is typically set shorter than Lookback B, since the priority ch. should 
     be checked more often so as not to miss a call (350-700ms @ 25ms steps;
     default: 350ms).
    LOOKBACK B: Priority channel is busy, but tone squelched. This time is
     typically set long, since the priority channel is busy with a user with a
     different tone (750-2500ms @ 125ms steps; default: 750ms).


	 RADIO FEATURE OPTION HELP
 The Feature Option screen programs the features listed below.
 [QT SWITCH]- (right hand toggle SW. with "speaker/slashed-speaker" symbol).
   QT/DQT SQUELCH ON/OFF- toggles tone squelching on/off (speaker=off;
           slashed-speaker=on).
   PRIORITY SCAN ON/OFF- toggles priority scan on/off (speaker=scan with 
           priority ; slashed-speaker=scan without priority).
 [TOGGLE SWITCH]- (left-hand toggle SW. with "open/closed" circles symbol).
   RF POWER HI/LOW- (default) toggles power hi/low (closed circle=high: open
           circle=low). Note: RF power can also be programmed in the CHANNEL
           INFORMATION section of this program.
   TA (TALKAROUND ON/OFF)- closed circle=off; open-circle=on
   GROUP 1/2 SELECT-(20 ch. max. radios) closed-circle=Group 1;
           open-circle=Group 2
   SCAN ON/OFF- closed circle=off: open circle=on
                NOTE: This selection provides Power HI/LOW function
                       on 4-key and 16-key model types.
 [AC CONTROL]-YES: disables priority channel tone decode (carrier-sq.).
              NO:  enables priority channel tone decode.
    Note: useful for "user-selectable priority" programmed radios
    where the user may typically need the priority ch. carrier squelched.
    default: YES
 [BUSY CHANNEL LOCKOUT]- Inhibits TX while the selected channel is busy and
           receiving the wrong QT/DQT.  default: NO
 [TIME OUT TIMER]- Limits individual transmissions to a programmed amount of
           time.  default: OFF ( = 9 min. )
 [POWER SAVE]-(Automatic battery saver) during standby operation, the receiver
           circuit is cycled on & off to conserve battery life. The "on" time
           is fixed for 90 ms; off times programmable: 150 - 1200ms.
           default: OFF (no batt. save) 


	 ANI SET HELP (4 KEY VERSION)
 The DTMF ANI feature is available on only 4-KEY or 16-KEY model types.
 The ANI program screen displayed will depend on the type chosen in the MODEL
 TYPE SELECT section.
 ///[4-KEY types]:////////////////////////////////////////////////////
  AUTOMATIC ANI- Programmable per channel group; 16 digits max. each; DTMF: *,
      #, 0-9, A-D.
  TX- Transmission of ANI programmable for: NO, BOTH: beginning of PTT & after
      release of PTT, EOT: end of transmission, BOT: beginning of transmission.
  DIGITS PER SECOND- selects the ANI digit rate. (settings: 6.25, 10, 15, 21.5
      dps; default: 6.25dps)
  DTMF 1st DIGIT- default: ABOVE (equals inverse of Digits Per Sec. setting)
      other settings: 500, 1000, 2000 ms.


	ANI SET HELP (16 KEY VERSION)
 The DTMF ANI feature is available on only 4-KEY or 16-KEY model types.
 the ANI program screen displayed will depend on the type chosen in the Model
 Info. section.
 ///[16-KEY types]: (KDM-4A front panels)/////////////////////////////
  SIX NUMBER REPERTORY DIALER MEMORY with Alphanumeric
  alphanumeric name ; 8 character max.; DTMF: #, 0-9, A-D only (*=Pause).
 (see operators manual for: operation, manual programming, and volatile memory
  locations 7 through 9. )
  CONNECT ANI    -16 digit max.; DTMF: *, #, 0-9, A-D; to send: hit **.
  DISCONNECT ANI -16 digit max.; DTMF: *, #, 0-9, A-D; to send: hit *#.
  DTMF 1st DIGIT -sets the time duration of the 1st digit of the connect & 
      disconnect ANI. (settings: 80, 500, 1000, 2000; default=80)


	 CHANNEL INFORMATION
The program fields displayed will be 10, 20 or 100 ch. capable depending on
the selection made in the MODEL TYPE SELECTION section.  
RX/TX FREQ.: type the desired freq. (MHz); hit ENTER after each entry.
             VHF: 5 & 6.25 kHz channel steps are available
             UHF: 10 & 12.5 kHz channel steps are available
             (RX-only channels are also allowed)
QT/DQT FREQ.: type the desired freq.; hit ENTER after each entry.
             QT: 67-250.3 Hz @ 0.1 Hz steps.
             DQT: 000-777 octal codes; Normal or Inverted.
                  type: D###N for Normal codes
                  type: D###I for Inverted codes

SCN D/A: Fixed Delete/Add of channels for the scan map.(default=Add) 
         Note: If the "D/A function" is set to programmable
               in the SCAN INFORMATION section,
               then, D/A operation becomes "user-programmable" and any channel
               D/A status can be changed regardless of this programming.
PWR Hi/Low: Select Power control condition High (Hi) or Low.

SW1 SW2 CODE: This is only for VHF Radios. This data is automatically selected
              by RX Frequency data.
              *Note: Never attempt to use this step in normal operation
                     to avoid damage of the data.
              SW1 SW2 code
                134.0 - 150.0 MHz version
                   0 : 134.0 =< RX frequency (MHz) < 137.5
                   1 : 137.5 =< RX frequency (MHz) < 141.5
                   2 : 141.5 =< RX frequency (MHz) < 145.5
                   3 : 145.5 =< RX frequency (MHz) =< 150.0
                150.0 - 174.0 MHz version
                   0 : 150.0 =< RX frequency (MHz) < 155.5
                   1 : 155.5 =< RX frequency (MHz) < 161.5
                   2 : 161.5 =< RX frequency (MHz) < 167.5
                   3 : 167.5 =< RX frequency (MHz) =< 174.0
 ALPHANUMERIC : (AN-capable models only) Each channel can be programmed
        to display an alphanumeric name in the LCD (8 characters max., in SCAN
        mode first 6 digits will be displayed.) If left unprogrammed,
        the display will default to the group & channel number designators.
        The programmed alphanumeric can be user enabled/disabled via
        the keypad -- see operators manual for details.

	 PRINT HELP
 The PRINT PROGRAM DATA task prints ALL the program data screens currently 
 held under the EDIT/CREATE/VIEW menu of tasks. It provides a hardcopy of
 all programming information; namely:
                     MODEL TYPE SELECT (F2)
                     CHANNEL INFORMATION (F4)
                     SCAN INFORMATION (F5)
                     FEATURE OPTION SELECT (F6)
 To print: hit F3; selects "Make a hardcopy of Total Information".
           hit <enter>; initiates printing.

 Error Messages: "Printer is not connected!"- will occur if your printer is 
                 not ready to print. Hit any key to reset. Check that the
                 printer & paper supply are O.K..
                 Hit F3, <enter> again.

	 SETUP HELP
 The SETUP COMPUTER CONFIGURATION section is for selecting the proper 
 parameters so that the computer can communicate with the radios, and to 
 assign a place from which data files are to be stored and retrieved. Note:
 This should be done before programming a radio or saving a data file for the
 first time. Also, the F4: Setup Display Color allows customization of the 
 screen colors.
 //////////F3: Setup Communication Port////////////////////////////////////////
 RADIO PORT: Sets the COM LEVEL in this software to match the COM LEVEL of the
 serial communications port being used to read & write to the radio via the 
 programming interface cable. If you do not know the COM LEVEL to set, a 
 simple "trial & error" method of different settings will suffice without 
 causing harm to the computer, interface cable or radio (default:COM1).
 DATA FILE DRIVE & PATH: Selects "where" the program data files are to be
 saved and retrieved. The disk drive name and path(s) specification follows DOS
 rules: drive name\ main directory name\ sub-directory names.
F10 DEFAULT- Resets the drive & path to the default-  A:\TK330\DATA.
 //////////F4: Setup Display Color ///////////////////////////////////////////
 Select F4, then F1-Help for details.

                      [F5]: Prints a hardcopy of this screen.
	SETUP COMPORT HELP

 RADIO PORT: Sets the COM LEVEL in this software to match the COM LEVEL of the
 serial communications port being used to read & write to the radio via the
 programming interface cable. If you do not know the COM LEVEL to set, a simple
 "trial & error" method of different settings will suffice without causing harm
 to the computer, interface cable or radio (default: COM1).

 DATA FILE DRIVE & PATH: Selects "where" the program data files are to be saved
 and retrieved. The disk drive name and path(s) specification follows DOS rules:
 drive name\ main directory name\ sub-directory names.
 F10: DEFAULT- Resets the drive & path to the default-  A:\TK330\DATA.


                      [F5]: Prints a hardcopy of this screen.



	SETUP DISPLAY COLOR HELP
 SETUP DISPLAY COLOR MENU
 Allows the computer user to customize the screen colors when using a color
 monitor.
 Each of the seven items listed below can have one of eight colors: Black, Red,
 Green, Yellow, Blue, Magenta, Cyan, and White.
  Background- Full screen background; default: Black.
  Input Data- Highlights certain program data blocks; default: Cyan.
  Feature Highlight- Highlights the selected feature or parameter to be 
   programmed; default: Cyan.
  Screen Border Info.-Top & bottom screen border; default: Green.
  General Message- Directional messages background; default: Black.
  Warning Message- Cautionary message background; default: Yellow.
  Error Message- Erroneous step or data entry message background; default: Red.

 Use the cursor key to select the item and F2 to toggle through the color
 selections. Hit F10 to set all items to their default.


                     [F5]-Prints a copy of this screen.
_

